classification
Title: add ptpython to list of alternate interpreters
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.9
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, matrixise, terry.reedy, zjayv
Priority: normal Keywords: patch

Created on 2019-07-02 03:03 by zjayv, last changed 2019-09-13 12:52 by matrixise. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 14538 closed zjayv, 2019-07-02 03:06
Messages (5)
msg347099 - (view) Author: Zach Valenta (zjayv) * Date: 2019-07-02 03:03
Referring to the last paragraph of chapter 14 of the tutorial on interactive interpreters: 

https://docs.python.org/3/tutorial/interactive.html#alternatives-to-the-interactive-interpreter

Despite personally using bpython, ptpython seems both mature and popular enough to merit inclusion in the docs. Plus, bpython recommends them :)
msg347457 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2019-07-07 01:07
My problems with this chapter are that it mostly ignores Windows, omits IDLE which has most of the 'advanced features' discussed, and some others (I could fix this), confuses a bit 'interpreter' as code executor versus 'interactive interpreter' as interface to an interpreter (Shell), and seems seems to mention a somewhat arbitrary subset of alternative shells.

Other than the fact that bpython and ptpython cross list each other (and IPython), what evidence do you have that ptpython is 'both mature and popular enough to merit inclusion'?  (I know, difficult question given no visible criteria.)

I looked at the history of the last paragraph and it seems that is was added 8/13/2009 by Georg Brandl in c5605dffdb226e85f415bd6edb441dad714fbc0c, which merged about 16 revisions from the py3k branch.  The only change since was markup.

It seems to me that the wiki might be a better place for a list of alternate shells, if not one already.  I believe there is already a page for editors or IDEs.
msg347590 - (view) Author: Zach Valenta (zjayv) * Date: 2019-07-10 01:19
Terry, I agree w/ you that this info has a better home in the wiki. Just commented on the PR to say as much there. I'll update the PR per Kyle Stanley's suggestion and port the info into the wiki.
msg352158 - (view) Author: Stéphane Wirtel (matrixise) * (Python committer) Date: 2019-09-12 13:25
In this case, maybe you could change the name of the PR and of this issue.

Thank you
msg352312 - (view) Author: Stéphane Wirtel (matrixise) * (Python committer) Date: 2019-09-13 12:52
Thank you for the proposal but I close this issue because I think the wiki is a better place.
History
Date User Action Args
2019-09-13 12:52:16matrixisesetstatus: open -> closed
resolution: rejected
messages: + msg352312

stage: patch review -> resolved
2019-09-12 13:25:09matrixisesetnosy: + matrixise
messages: + msg352158
2019-07-10 01:19:16zjayvsetmessages: + msg347590
2019-07-07 01:07:10terry.reedysetnosy: + terry.reedy

messages: + msg347457
versions: + Python 3.9, - Python 3.7
2019-07-02 03:06:25zjayvsetkeywords: + patch
stage: patch review
pull_requests: + pull_request14351
2019-07-02 03:03:56zjayvcreate